document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll functionality
  const scrollToDemo = () => {
    document.querySelector('#demo').scrollIntoView({
      behavior: 'smooth'
    });
  };

  // Form submission handler
  const demoForm = document.getElementById('demoForm');
  demoForm.addEventListener('submit', (e) => {
    e.preventDefault();
    // Add form submission logic here
    alert('Thank you for your interest! We will contact you soon.');
    demoForm.reset();
  });

  // Intersection Observer for animations
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('visible');
      }
    });
  }, {
    threshold: 0.1
  });

  // Observe all cards
  document.querySelectorAll('.feature-card, .stat-card').forEach(card => {
    observer.observe(card);
  });
});

// Make scrollToDemo available globally
window.scrollToDemo = () => {
  document.querySelector('#demo').scrollIntoView({
    behavior: 'smooth'
  });
};
